RagTime5ChartInternal::SerieTypeParser Struct Reference documentation

Public Member Functions | List of all members
RagTime5ChartInternal::SerieTypeParser Struct Referencefinal

Internal: the helper to read a serieType's cell serieType. More...

Inheritance diagram for RagTime5ChartInternal::SerieTypeParser:

## Public Member Functions
| SerieTypeParser ()
| constructor More...
| ~SerieTypeParser () final
| destructor More...
bool | parseData (MWAWInputStreamPtr &input, long endPos, RagTime5Zone &, int, libmwaw::DebugStream &f) final
| try to parse a data More...
Public Member Functions inherited from RagTime5StructManager::DataParser
| DataParser (std::string const &zoneName)
| constructor More...
virtual | ~DataParser ()
| destructor More...
virtual std::string | getZoneName () const
| return the debug name corresponding to a zone More...
virtual std::string | getZoneName (int n) const
| return the debug name corresponding to a field More...
virtual bool | parseData (MWAWInputStreamPtr &, long, RagTime5Zone &, int, libmwaw::DebugStream &)
| parse a data More...

## Additional Inherited Members
Protected Attributes inherited from RagTime5StructManager::DataParser
std::string | m_name
| the field name More...

## Detailed Description

Internal: the helper to read a serieType's cell serieType.

## Constructor & Destructor Documentation

## ◆ SerieTypeParser()

RagTime5ChartInternal::SerieTypeParser::SerieTypeParser | ( |  | ) |
| inline

constructor

## ◆ ~SerieTypeParser()

RagTime5ChartInternal::SerieTypeParser::~SerieTypeParser | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ parseData()

bool RagTime5ChartInternal::SerieTypeParser::parseData | ( | MWAWInputStreamPtr & | input,
|  | long | endPos,
|  | RagTime5Zone & | ,
|  | int | ,
|  | libmwaw::DebugStream & | f
| ) |  |
| inlinefinalvirtual

try to parse a data

Reimplemented from RagTime5StructManager::DataParser.

The documentation for this struct was generated from the following file:

- RagTime5Chart.cxx